--- title: "Get recording file" slug: "media-livestation-recording-recordinginfo" tags: ["Live Station"] updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/media-livestation-recording-recordinginfo" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get recording file Available in Classic and VPC Get details of a file recorded on a live channel. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/channels/{channelId}/records/{recordId} | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelId` | String | Required | Channel ID - See [Get channel list](/docs/en/media-livestation-channel-channellist). | | `recordId` | Integer | Required | Recording file ID - See [Get recording file list](/docs/en/media-livestation-recording-recordinglist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://livestation.apigw.ntruss.com/api/v2/channels/{channelId}/records/{recordId}' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'x-ncp-region_code: KR' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Response result | | `content.{recordId}` | Object | - | Recording file information - `{recordId}`: Recording file ID | | `content.{recordId}.recordType` | String | - | Recording file type - `MP4` \| `HLS` | | `content.{recordId}.channelId` | String | - | Channel ID | | `content.{recordId}.status` | String | - | File status - `RECORDING` \| `PROCESSING` \| `PROCESSING_FAIL` \| `TRANSFER_READY` \| `TRANSFER` \| `TRANSFER_FINISH` \| `TRANSFER_FAIL` \| `DELETED` - `RECORDING`: Recording - `PROCESSING`: Processing - `PROCESSING_FAIL`: Processing failed - `TRANSFER_READY`: Transfer pending - `TRANSFER`: Transferring - `TRANSFER_FINISH`: Transfer completed - `TRANSFER_FAIL`: Transfer failed - `DELETED`: Deleted | | `content.{recordId}.recordSeq` | Integer | - | Recording file sequence number | | `content.{recordId}.streamSeq` | Integer | - | Stream sequence number | | `content.{recordId}.recordBeginTime` | Integer | - | Recording start date and time (millisecond) - Unix timestamp format | | `content.{recordId}.createdTime` | Integer | - | Recording file creation date and time (millisecond) - Unix timestamp format | | `content.{recordId}.shouldDeleteTime` | Integer | - | Recording file deletion date and time (millisecond) - Unix timestamp format | | `content.{recordId}.resolution` | String | - | Resolution - `{Width}x{Height}` format | | `content.{recordId}.fileName` | String | - | File name | | `content.{recordId}.duration` | Integer | - | Playback time (millisecond) | | `content.{recordId}.videoBitrate` | Integer | - | Video stream's bitrate (bps) | | `content.{recordId}.audioBitrate` | Integer | - | Audio stream's bitrate (bps) | | `content.{recordId}.videoFrameRate` | Float | - | Number of frames per second (fps) | | `content.{recordId}.audioCodec` | String | - | Audio codec | | `content.{recordId}.uploadPath` | String | - | Directory path | | `content.{recordId}.objectStorageUrl` | String | - | Recording URL - If it hasn't been uploaded to the Object Storage bucket, `-` is displayed. | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "270****": { "recordType": "MP4", "channelId": "ls-20250814******-PZohi", "status": "TRANSFER_FINISH", "recordSeq": 1307117, "streamSeq": 361545, "recordBeginTime": 1755496369000, "createdTime": 1755496381000, "shouldDeleteTime": 1755755581000, "resolution": "720x1280", "fileName": "361545-1307117-20250818****.mp4", "duration": 11634, "videoBitrate": 2500000, "audioBitrate": 128000, "videoFrameRate": 30.0, "audioCodec": "aac", "uploadPath": "/databucket/361545-1307117-20250818****.mp4", "objectStorageUrl": "https://kr.object.ncloudstorage.com/databucket/361545-1307117-20250818****.mp4" } } } ```